"use strict";(self.webpackChunk_goauthentik_website_docs=self.webpackChunk_goauthentik_website_docs||[]).push([[4511],{91439:(e,n,s)=>{s.r(n),s.d(n,{assets:()=>a,contentTitle:()=>d,default:()=>_,frontMatter:()=>l,metadata:()=>c,toc:()=>h});var i=s(85893),t=s(11151),r=s(74866),o=s(85162);const l={title:"Configuration"},d=void 0,c={id:"installation/configuration",title:"Configuration",description:"This page details all the authentik configuration options that you can set via environment variables.",source:"@site/docs/installation/configuration.mdx",sourceDirName:"installation",slug:"/installation/configuration",permalink:"/docs/installation/configuration",draft:!1,unlisted:!1,editUrl:"https://github.com/goauthentik/authentik/edit/main/website/docs/installation/configuration.mdx",tags:[],version:"current",frontMatter:{title:"Configuration"},sidebar:"docs",previous:{title:"Beta versions",permalink:"/docs/installation/beta"},next:{title:"Reverse-proxy",permalink:"/docs/installation/reverse-proxy"}},a={},h=[{value:"About authentik configurations",id:"about-authentik-configurations",level:2},{value:"Set your environment variables",id:"set-your-environment-variables",level:2},{value:"Verify your configuration settings",id:"verify-your-configuration-settings",level:2},{value:"PostgreSQL Settings",id:"postgresql-settings",level:2},{value:"Redis Settings",id:"redis-settings",level:2},{value:"Result Backend Settings",id:"result-backend-settings",level:2},{value:"Cache Settings",id:"cache-settings",level:2},{value:"Channel Layer Settings (inter-instance communication)",id:"channel-layer-settings-inter-instance-communication",level:2},{value:"Broker Settings",id:"broker-settings",level:2},{value:"Listen Settings",id:"listen-settings",level:2},{value:"Media Storage Settings",id:"media-storage-settings",level:2},{value:"authentik Settings",id:"authentik-settings",level:2},{value:"<code>AUTHENTIK_SECRET_KEY</code>",id:"authentik_secret_key",level:3},{value:"<code>AUTHENTIK_LOG_LEVEL</code>",id:"authentik_log_level",level:3},{value:"<code>AUTHENTIK_COOKIE_DOMAIN</code>",id:"authentik_cookie_domain",level:3},{value:"<code>AUTHENTIK_EVENTS__CONTEXT_PROCESSORS__GEOIP</code>",id:"authentik_events__context_processors__geoip",level:3},{value:"<code>AUTHENTIK_EVENTS__CONTEXT_PROCESSORS__ASN</code>",id:"authentik_events__context_processors__asn",level:3},{value:"<code>AUTHENTIK_DISABLE_UPDATE_CHECK</code>",id:"authentik_disable_update_check",level:3},{value:"<code>AUTHENTIK_ERROR_REPORTING</code>",id:"authentik_error_reporting",level:3},{value:"<code>AUTHENTIK_EMAIL</code>",id:"authentik_email",level:3},{value:"<code>AUTHENTIK_OUTPOSTS</code>",id:"authentik_outposts",level:3},{value:"<code>AUTHENTIK_LDAP__TASK_TIMEOUT_HOURS</code>",id:"authentik_ldap__task_timeout_hours",level:3},{value:"<code>AUTHENTIK_LDAP__PAGE_SIZE</code>",id:"authentik_ldap__page_size",level:3},{value:"<code>AUTHENTIK_LDAP__TLS__CIPHERS</code>",id:"authentik_ldap__tls__ciphers",level:3},{value:"<code>AUTHENTIK_REPUTATION__EXPIRY</code>",id:"authentik_reputation__expiry",level:3},{value:"<code>AUTHENTIK_SESSION_STORAGE</code>",id:"authentik_session_storage",level:3},{value:"<code>AUTHENTIK_WEB__WORKERS</code>",id:"authentik_web__workers",level:3},{value:"<code>AUTHENTIK_WEB__THREADS</code>",id:"authentik_web__threads",level:3},{value:"<code>AUTHENTIK_WORKER__CONCURRENCY</code>",id:"authentik_worker__concurrency",level:3},{value:"System settings",id:"system-settings",level:2},{value:"Custom python settings",id:"custom-python-settings",level:2}];function u(e){const n={a:"a",admonition:"admonition",code:"code",em:"em",h2:"h2",h3:"h3",li:"li",p:"p",pre:"pre",strong:"strong",ul:"ul",...(0,t.a)(),...e.components};return(0,i.jsxs)(i.Fragment,{children:[(0,i.jsx)(n.p,{children:"This page details all the authentik configuration options that you can set via environment variables."}),"\n",(0,i.jsx)(n.h2,{id:"about-authentik-configurations",children:"About authentik configurations"}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"The double-underscores are intentional, as all these settings are translated to YAML internally, and a double-underscore indicates the next level (a subsetting)."})}),"\n",(0,i.jsx)(n.p,{children:"All of these variables can be set to values, but you can also use a URI-like format to load values from other places:"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"env://<name>"})," Loads the value from the environment variable ",(0,i.jsx)(n.code,{children:"<name>"}),". Fallback can be optionally set like ",(0,i.jsx)(n.code,{children:"env://<name>?<default>"})]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"file://<name>"})," Loads the value from the file ",(0,i.jsx)(n.code,{children:"<name>"}),". Fallback can be optionally set like ",(0,i.jsx)(n.code,{children:"file://<name>?<default>"})]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"set-your-environment-variables",children:"Set your environment variables"}),"\n","\n",(0,i.jsxs)(r.Z,{groupId:"platform",children:[(0,i.jsxs)(o.Z,{value:"docker-compose",label:"Docker Compose",default:!0,children:[(0,i.jsxs)(n.p,{children:["If you are using Docker Compose, edit your ",(0,i.jsx)("code",{children:".env"})," file to append any keys that you want to add, and then run the following command to apply them:"]}),(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{children:"docker compose up -d\n"})})]}),(0,i.jsxs)(o.Z,{value:"kubernetes",label:"Kubernetes",children:[(0,i.jsxs)(n.p,{children:["If you are running in Kubernetes, edit your ",(0,i.jsx)("code",{children:"values.yaml"})," file to append any keys that you want to add, and then run the following commands to apply:"]}),(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{children:"helm repo update\nhelm upgrade --install authentik authentik/authentik -f values.yaml\n"})})]})]}),"\n",(0,i.jsx)(n.h2,{id:"verify-your-configuration-settings",children:"Verify your configuration settings"}),"\n",(0,i.jsx)(n.p,{children:"To check if your config has been applied correctly, you can run the following command to output the full config:"}),"\n",(0,i.jsxs)(r.Z,{groupId:"platform",children:[(0,i.jsx)(o.Z,{value:"docker-compose",label:"Docker Compose",default:!0,children:(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{children:"docker compose run --rm worker dump_config\n"})})}),(0,i.jsx)(o.Z,{value:"kubernetes",label:"Kubernetes",children:(0,i.jsx)(n.pre,{children:(0,i.jsx)(n.code,{children:"kubectl exec -it deployment/authentik-worker -c authentik -- ak dump_config\n"})})})]}),"\n",(0,i.jsx)(n.h2,{id:"postgresql-settings",children:"PostgreSQL Settings"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__HOST"}),": Hostname of your PostgreSQL Server"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__NAME"}),": Database name"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__USER"}),": Database user"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__PORT"}),": Database port, defaults to 5432"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__PASSWORD"}),": Database password, defaults to the environment variable ",(0,i.jsx)(n.code,{children:"POSTGRES_PASSWORD"})]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__USE_PGBOUNCER"}),": Adjust configuration to support connection to PgBouncer"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__USE_PGPOOL"}),": Adjust configuration to support connection to Pgpool"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__SSLMODE"}),": Strictness of ssl verification. Defaults to ",(0,i.jsx)(n.code,{children:'"verify-ca"'})]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__SSLROOTCERT"}),": CA root for server ssl verification"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__SSLCERT"}),": Path to x509 client certificate to authenticate to server"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_POSTGRESQL__SSLKEY"}),": Path to private key of ",(0,i.jsx)(n.code,{children:"SSLCERT"})," certificate"]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"redis-settings",children:"Redis Settings"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__HOST"}),": Redis server host when not using configuration URL"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__PORT"}),": Redis server port when not using configuration URL"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__DB"}),": Redis server database when not using configuration URL"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__USERNAME"}),": Redis server username when not using configuration URL"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__PASSWORD"}),": Redis server password when not using configuration URL"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__TLS"}),": Redis server connection using TLS when not using configuration URL"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__TLS_REQS"}),": Redis server TLS connection requirements when not using configuration URL. Defaults to ",(0,i.jsx)(n.code,{children:'"none"'}),". Allowed values are ",(0,i.jsx)(n.code,{children:'"none"'})," and ",(0,i.jsx)(n.code,{children:'"required"'}),"."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__TLS_CA_CERT"}),": Path to the Redis server TLS CA root when not using configuration URL. Defaults to ",(0,i.jsx)(n.code,{children:"null"}),"."]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"result-backend-settings",children:"Result Backend Settings"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_RESULT_BACKEND__URL"}),": Result backend configuration URL, uses ",(0,i.jsx)(n.a,{href:"#redis-settings",children:"the Redis Settings"})," by default"]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"cache-settings",children:"Cache Settings"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CACHE__URL"}),": Cache configuration URL, uses ",(0,i.jsx)(n.a,{href:"#redis-settings",children:"the Redis Settings"})," by default"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CACHE__TIMEOUT"}),": Timeout for cached data until it expires in seconds, defaults to 300"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CACHE__TIMEOUT_FLOWS"}),": Timeout for cached flow plans until they expire in seconds, defaults to 300"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CACHE__TIMEOUT_POLICIES"}),": Timeout for cached policies until they expire in seconds, defaults to 300"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CACHE__TIMEOUT_REPUTATION"}),": Timeout for cached reputation until they expire in seconds, defaults to 300"]}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CACHE__TIMEOUT_REPUTATION"})," only applies to the cache expiry, see ",(0,i.jsx)(n.a,{href:"#authentik_reputation__expiry",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_REPUTATION__EXPIRY"})})," to control how long reputation is persisted for."]})}),"\n"]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"channel-layer-settings-inter-instance-communication",children:"Channel Layer Settings (inter-instance communication)"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_CHANNEL__URL"}),": Channel layers configuration URL, uses ",(0,i.jsx)(n.a,{href:"#redis-settings",children:"the Redis Settings"})," by default"]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"broker-settings",children:"Broker Settings"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_BROKER__URL"}),": Broker configuration URL, defaults to Redis using ",(0,i.jsx)(n.a,{href:"#redis-settings",children:"the respective settings"})]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_BROKER__TRANSPORT_OPTIONS"}),": Base64-encoded broker transport options"]}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__CACHE_TIMEOUT_REPUTATION"})," only applies to the cache expiry, see ",(0,i.jsx)(n.a,{href:"#authentik_reputation__expiry",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_REPUTATION__EXPIRY"})})," to control how long reputation is persisted for."]})}),"\n"]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"listen-settings",children:"Listen Settings"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__HTTP"}),": Listening address",":port"," (e.g. ",(0,i.jsx)(n.code,{children:"0.0.0.0:9000"}),") for HTTP (Applies to Server and Proxy outpost)"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__HTTPS"}),": Listening address",":port"," (e.g. ",(0,i.jsx)(n.code,{children:"0.0.0.0:9443"}),") for HTTPS (Applies to Server and Proxy outpost)"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__LDAP"}),": Listening address",":port"," (e.g. ",(0,i.jsx)(n.code,{children:"0.0.0.0:3389"}),") for LDAP (Applies to LDAP outpost)"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__LDAPS"}),": Listening address",":port"," (e.g. ",(0,i.jsx)(n.code,{children:"0.0.0.0:6636"}),") for LDAPS (Applies to LDAP outpost)"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__METRICS"}),": Listening address",":port"," (e.g. ",(0,i.jsx)(n.code,{children:"0.0.0.0:9300"}),") for Prometheus metrics (Applies to All)"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__DEBUG"}),": Listening address",":port"," (e.g. ",(0,i.jsx)(n.code,{children:"0.0.0.0:9900"}),") for Go Debugging metrics (Applies to All)"]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsxs)(n.p,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_LISTEN__TRUSTED_PROXY_CIDRS"}),": List of comma-separated CIDRs that proxy headers should be accepted from (Applies to Server)"]}),"\n",(0,i.jsxs)(n.p,{children:["Defaults to ",(0,i.jsx)(n.code,{children:"127.0.0.0/8"}),", ",(0,i.jsx)(n.code,{children:"10.0.0.0/8"}),", ",(0,i.jsx)(n.code,{children:"172.16.0.0/12"}),", ",(0,i.jsx)(n.code,{children:"192.168.0.0/16"}),", ",(0,i.jsx)(n.code,{children:"fe80::/10"}),", ",(0,i.jsx)(n.code,{children:"::1/128"}),"."]}),"\n",(0,i.jsxs)(n.p,{children:["Requests directly coming from one an address within a CIDR specified here are able to set proxy headers, such as ",(0,i.jsx)(n.code,{children:"X-Forwarded-For"}),". Requests coming from other addresses will not be able to set these headers."]}),"\n"]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"media-storage-settings",children:"Media Storage Settings"}),"\n",(0,i.jsxs)(n.p,{children:["These settings affect where media files are stored. Those files include applications and sources icons. By default, they are stored on disk in the ",(0,i.jsx)(n.code,{children:"/media"})," directory of the authentik container. S3 storage is also supported."]}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__BACKEND"}),": Where to store files. Valid values are ",(0,i.jsx)(n.code,{children:"file"})," and ",(0,i.jsx)(n.code,{children:"s3"}),". For ",(0,i.jsx)(n.code,{children:"file"})," storage, files are stored in a ",(0,i.jsx)(n.code,{children:"/media"})," directory in the container. For ",(0,i.jsx)(n.code,{children:"s3"}),", see below."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__REGION"}),": S3 region where the bucket has been created. May be omitted depending on which S3 provider you use. No default."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__USE_SSL"}),": Whether to use HTTPS when talking to the S3 storage providers. Defaults to ",(0,i.jsx)(n.code,{children:"true"}),"."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__ENDPOINT"}),": Endpoint to use to talk to the S3 storage provider. Override the previous region and use_ssl settings. Must be a valid URL in the form of ",(0,i.jsx)(n.code,{children:"https://s3.provider"}),". No default."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__SESSION_PROFILE"}),": Profile to use when using AWS SDK authentication. No default. Supports hot-reloading."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__ACCESS_KEY"}),": Access key to authenticate to S3. May be omitted if using AWS SDK authentication. Supports hot-reloading."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__SECRET_KEY"}),": Secret key to authenticate to S3. May be omitted if using AWS SDK authentication. Supports hot-reloading."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__SECURITY_TOKEN"}),": Security token to authenticate to S3. May be omitted. Supports hot-reloading."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__BUCKET_NAME"}),": Name of the bucket to use to store files."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__CUSTOM_DOMAIN"}),": Domain to use to create URLs for users. Mainly useful for non-AWS providers. May include a port. Must include the bucket. Example: ",(0,i.jsx)(n.code,{children:"s3.company:8080/authentik-media"}),"."]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"AUTHENTIK_STORAGE__MEDIA__S3__SECURE_URLS"}),": Whether URLs created use HTTPS (set to ",(0,i.jsx)(n.code,{children:"true"})," by default) or HTTP."]}),"\n"]}),"\n",(0,i.jsx)(n.h2,{id:"authentik-settings",children:"authentik Settings"}),"\n",(0,i.jsx)(n.h3,{id:"authentik_secret_key",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_SECRET_KEY"})}),"\n",(0,i.jsx)(n.p,{children:"Secret key used for cookie signing. Changing this will invalidate active sessions."}),"\n",(0,i.jsx)(n.admonition,{type:"caution",children:(0,i.jsxs)(n.p,{children:["Prior to 2023.6.0 the secret key was also used for unique user IDs. When running a pre-2023.6.0 version of authentik the key should ",(0,i.jsx)(n.em,{children:"not"})," be changed after the first install."]})}),"\n",(0,i.jsx)(n.h3,{id:"authentik_log_level",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_LOG_LEVEL"})}),"\n",(0,i.jsxs)(n.p,{children:["Log level for the server and worker containers. Possible values: ",(0,i.jsx)(n.code,{children:"debug"}),", ",(0,i.jsx)(n.code,{children:"info"}),", ",(0,i.jsx)(n.code,{children:"warning"}),", ",(0,i.jsx)(n.code,{children:"error"}),"."]}),"\n",(0,i.jsxs)(n.p,{children:["Starting with 2021.12.3, you can also set the log level to ",(0,i.jsx)(n.code,{children:"trace"}),". This has no effect on the core authentik server, but shows additional messages for the embedded outpost."]}),"\n",(0,i.jsxs)(n.admonition,{type:"danger",children:[(0,i.jsxs)(n.p,{children:["Setting the log level to ",(0,i.jsx)(n.code,{children:"trace"})," will include sensitive details in logs, so it shouldn't be used in most cases."]}),(0,i.jsxs)(n.p,{children:["Logs generated with ",(0,i.jsx)(n.code,{children:"trace"})," should be treated with care as they can give others access to your instance, and can potentially include things like session cookies to authentik ",(0,i.jsx)(n.strong,{children:"and other pages"}),"."]})]}),"\n",(0,i.jsxs)(n.p,{children:["Defaults to ",(0,i.jsx)(n.code,{children:"info"}),"."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_cookie_domain",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_COOKIE_DOMAIN"})}),"\n",(0,i.jsx)(n.p,{children:"Which domain the session cookie should be set to. By default, the cookie is set to the domain authentik is accessed under."}),"\n",(0,i.jsx)(n.h3,{id:"authentik_events__context_processors__geoip",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EVENTS__CONTEXT_PROCESSORS__GEOIP"})}),"\n",(0,i.jsxs)(n.p,{children:["Path to the GeoIP City database. Defaults to ",(0,i.jsx)(n.code,{children:"/geoip/GeoLite2-City.mmdb"}),". If the file is not found, authentik will skip GeoIP support."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_events__context_processors__asn",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EVENTS__CONTEXT_PROCESSORS__ASN"})}),"\n",(0,i.jsxs)(n.p,{children:["Path to the GeoIP ASN database. Defaults to ",(0,i.jsx)(n.code,{children:"/geoip/GeoLite2-ASN.mmdb"}),". If the file is not found, authentik will skip GeoIP support."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_disable_update_check",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_DISABLE_UPDATE_CHECK"})}),"\n",(0,i.jsxs)(n.p,{children:["Disable the inbuilt update-checker. Defaults to ",(0,i.jsx)(n.code,{children:"false"}),"."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_error_reporting",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_ERROR_REPORTING"})}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_ERROR_REPORTING__ENABLED"})}),"\n",(0,i.jsxs)(n.p,{children:["Enable error reporting. Defaults to ",(0,i.jsx)(n.code,{children:"false"}),"."]}),"\n",(0,i.jsxs)(n.p,{children:["Error reports are sent to ",(0,i.jsx)(n.a,{href:"https://sentry.io",children:"https://sentry.io"})," and are used for debugging and general feedback. Anonymous performance data is also sent."]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_ERROR_REPORTING__SENTRY_DSN"})}),"\n",(0,i.jsx)(n.p,{children:"Sets the DSN for the Sentry API endpoint."}),"\n",(0,i.jsx)(n.p,{children:"When error reporting is enabled, the default Sentry DSN will allow the authentik developers to receive error reports and anonymous performance data, which is used for general feedback about authentik, and in some cases, may be used for debugging purposes."}),"\n",(0,i.jsx)(n.p,{children:"Users can create their own hosted Sentry account (or self-host Sentry) and opt to collect this data themselves."}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_ERROR_REPORTING__ENVIRONMENT"})}),"\n",(0,i.jsxs)(n.p,{children:["The environment tag associated with all data sent to Sentry. Defaults to ",(0,i.jsx)(n.code,{children:"customer"}),"."]}),"\n",(0,i.jsx)(n.p,{children:"When error reporting has been enabled to aid in debugging issues, this should be set to a unique value, such as an email address."}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_ERROR_REPORTING__SEND_PII"})}),"\n",(0,i.jsxs)(n.p,{children:["Whether or not to send personal data, like usernames. Defaults to ",(0,i.jsx)(n.code,{children:"false"}),"."]}),"\n"]}),"\n"]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_email",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL"})}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__HOST"})}),"\n",(0,i.jsxs)(n.p,{children:["Default: ",(0,i.jsx)(n.code,{children:"localhost"})]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__PORT"})}),"\n",(0,i.jsxs)(n.p,{children:["Default: ",(0,i.jsx)(n.code,{children:"25"})]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__USERNAME"})}),"\n",(0,i.jsx)(n.p,{children:"Default: `` (Don't add quotation marks)"}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__PASSWORD"})}),"\n",(0,i.jsx)(n.p,{children:"Default: `` (Don't add quotation marks)"}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__USE_TLS"})}),"\n",(0,i.jsxs)(n.p,{children:["Default: ",(0,i.jsx)(n.code,{children:"false"})]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__USE_SSL"})}),"\n",(0,i.jsxs)(n.p,{children:["Default: ",(0,i.jsx)(n.code,{children:"false"})]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__TIMEOUT"})}),"\n",(0,i.jsxs)(n.p,{children:["Default: ",(0,i.jsx)(n.code,{children:"10"})]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_EMAIL__FROM"})}),"\n",(0,i.jsxs)(n.p,{children:["Default: ",(0,i.jsx)(n.code,{children:"authentik@localhost"})]}),"\n",(0,i.jsxs)(n.p,{children:["Email address authentik will send from, should have a correct ",(0,i.jsx)(n.a,{href:"https://github.com/domain",children:(0,i.jsx)(n.strong,{children:"@domain"})})]}),"\n",(0,i.jsxs)(n.p,{children:["To change the sender's display name, use a format like ",(0,i.jsx)(n.code,{children:"Name <account@domain>"}),"."]}),"\n"]}),"\n"]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_outposts",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_OUTPOSTS"})}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_OUTPOSTS__CONTAINER_IMAGE_BASE"})}),"\n",(0,i.jsx)(n.p,{children:"Placeholders:"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"%(type)s"}),": Outpost type; proxy, ldap, etc"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"%(version)s"}),": Current version; 2021.4.1"]}),"\n",(0,i.jsxs)(n.li,{children:[(0,i.jsx)(n.code,{children:"%(build_hash)s"}),": Build hash if you're running a beta version"]}),"\n"]}),"\n",(0,i.jsxs)(n.p,{children:["Placeholder for outpost docker images. Default: ",(0,i.jsx)(n.code,{children:"ghcr.io/goauthentik/%(type)s:%(version)s"}),"."]}),"\n"]}),"\n",(0,i.jsxs)(n.li,{children:["\n",(0,i.jsx)(n.p,{children:(0,i.jsx)(n.code,{children:"AUTHENTIK_OUTPOSTS__DISCOVER"})}),"\n",(0,i.jsxs)(n.p,{children:["Configure the automatic discovery of integrations. Defaults to ",(0,i.jsx)(n.code,{children:"true"}),"."]}),"\n",(0,i.jsx)(n.p,{children:"By default, the following is discovered:"}),"\n",(0,i.jsxs)(n.ul,{children:["\n",(0,i.jsx)(n.li,{children:"Kubernetes in-cluster config"}),"\n",(0,i.jsx)(n.li,{children:"Kubeconfig"}),"\n",(0,i.jsx)(n.li,{children:"Existence of a docker socket"}),"\n"]}),"\n"]}),"\n"]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_ldap__task_timeout_hours",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_LDAP__TASK_TIMEOUT_HOURS"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2023.1"})}),"\n",(0,i.jsx)(n.p,{children:"Timeout in hours for LDAP synchronization tasks."}),"\n",(0,i.jsxs)(n.p,{children:["Defaults to ",(0,i.jsx)(n.code,{children:"2"}),"."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_ldap__page_size",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_LDAP__PAGE_SIZE"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2023.6.1"})}),"\n",(0,i.jsx)(n.p,{children:"Page size for LDAP synchronization. Controls the number of objects created in a single task."}),"\n",(0,i.jsxs)(n.p,{children:["Defaults to ",(0,i.jsx)(n.code,{children:"50"}),"."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_ldap__tls__ciphers",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_LDAP__TLS__CIPHERS"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2022.7"})}),"\n",(0,i.jsx)(n.p,{children:"Allows configuration of TLS Cliphers for LDAP connections used by LDAP sources. Setting applies to all sources."}),"\n",(0,i.jsxs)(n.p,{children:["Defaults to ",(0,i.jsx)(n.code,{children:"null"}),"."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_reputation__expiry",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_REPUTATION__EXPIRY"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2023.8.2"})}),"\n",(0,i.jsxs)(n.p,{children:["Configure how long reputation scores should be saved for in seconds. Note that this is different than ",(0,i.jsx)(n.a,{href:"#redis-settings",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_REDIS__CACHE_TIMEOUT_REPUTATION"})}),", as reputation is saved to the database every 5 minutes."]}),"\n",(0,i.jsxs)(n.p,{children:["Defaults to ",(0,i.jsx)(n.code,{children:"86400"}),"."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_session_storage",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_SESSION_STORAGE"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2024.4"})}),"\n",(0,i.jsxs)(n.p,{children:["Configure if the sessions are stored in the cache or the database. Defaults to ",(0,i.jsx)(n.code,{children:"cache"}),". Allowed values are ",(0,i.jsx)(n.code,{children:"cache"})," and ",(0,i.jsx)(n.code,{children:"db"}),". Note that changing this value will invalidate all previous sessions."]}),"\n",(0,i.jsx)(n.h3,{id:"authentik_web__workers",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_WEB__WORKERS"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2022.9"})}),"\n",(0,i.jsxs)(n.p,{children:["Configure how many gunicorn worker processes should be started (see ",(0,i.jsx)(n.a,{href:"https://docs.gunicorn.org/en/stable/design.html",children:"https://docs.gunicorn.org/en/stable/design.html"}),")."]}),"\n",(0,i.jsx)(n.p,{children:"Defaults to 2. A value below 2 workers is not recommended. In environments where scaling with multiple replicas of the authentik server is not possible, this number can be increased to handle higher loads."}),"\n",(0,i.jsx)(n.h3,{id:"authentik_web__threads",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_WEB__THREADS"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2022.9"})}),"\n",(0,i.jsxs)(n.p,{children:["Configure how many gunicorn threads a worker processes should have (see ",(0,i.jsx)(n.a,{href:"https://docs.gunicorn.org/en/stable/design.html",children:"https://docs.gunicorn.org/en/stable/design.html"}),")."]}),"\n",(0,i.jsx)(n.p,{children:"Defaults to 4."}),"\n",(0,i.jsx)(n.h3,{id:"authentik_worker__concurrency",children:(0,i.jsx)(n.code,{children:"AUTHENTIK_WORKER__CONCURRENCY"})}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2023.9.0"})}),"\n",(0,i.jsxs)(n.p,{children:["Configure Celery worker concurrency for authentik worker (see ",(0,i.jsx)(n.a,{href:"https://docs.celeryq.dev/en/latest/userguide/configuration.html#worker-concurrency",children:"https://docs.celeryq.dev/en/latest/userguide/configuration.html#worker-concurrency"}),"). This essentially defines the number of worker processes spawned for a single worker."]}),"\n",(0,i.jsx)(n.p,{children:"Defaults to 2."}),"\n",(0,i.jsx)(n.h2,{id:"system-settings",children:"System settings"}),"\n",(0,i.jsx)(n.admonition,{type:"info",children:(0,i.jsx)(n.p,{children:"Requires authentik 2024.2"})}),"\n",(0,i.jsxs)(n.p,{children:["Additional settings are configurable using the Admin interface, under ",(0,i.jsx)(n.strong,{children:"System"})," -> ",(0,i.jsx)(n.strong,{children:"Settings"})," or using the API."]}),"\n",(0,i.jsx)(n.h2,{id:"custom-python-settings",children:"Custom python settings"}),"\n",(0,i.jsxs)(n.p,{children:["To modify additional settings further than the options above allow, you can create a custom Python file and mount it to ",(0,i.jsx)(n.code,{children:"/data/user_settings.py"}),". This file will be loaded on startup by both the server and the worker. All default settings are ",(0,i.jsx)(n.a,{href:"https://github.com/goauthentik/authentik/blob/main/authentik/root/settings.py",children:"here"})]}),"\n",(0,i.jsx)(n.admonition,{type:"caution",children:(0,i.jsx)(n.p,{children:"Using these custom settings is not supported and can prevent your authentik instance from starting. Use with caution."})})]})}function _(e={}){const{wrapper:n}={...(0,t.a)(),...e.components};return n?(0,i.jsx)(n,{...e,children:(0,i.jsx)(u,{...e})}):u(e)}},85162:(e,n,s)=>{s.d(n,{Z:()=>o});s(67294);var i=s(90512);const t={tabItem:"tabItem_Ymn6"};var r=s(85893);function o(e){let{children:n,hidden:s,className:o}=e;return(0,r.jsx)("div",{role:"tabpanel",className:(0,i.Z)(t.tabItem,o),hidden:s,children:n})}},74866:(e,n,s)=>{s.d(n,{Z:()=>m});var i=s(67294),t=s(90512),r=s(12466),o=s(16550),l=s(20469),d=s(91980),c=s(67392),a=s(50012);function h(e){var n,s;return null!=(n=null==(s=i.Children.toArray(e).filter((e=>"\n"!==e)).map((e=>{if(!e||(0,i.isValidElement)(e)&&function(e){const{props:n}=e;return!!n&&"object"==typeof n&&"value"in n}(e))return e;throw new Error("Docusaurus error: Bad <Tabs> child <"+("string"==typeof e.type?e.type:e.type.name)+'>: all children of the <Tabs> component should be <TabItem>, and every <TabItem> should have a unique "value" prop.')})))?void 0:s.filter(Boolean))?n:[]}function u(e){const{values:n,children:s}=e;return(0,i.useMemo)((()=>{const e=null!=n?n:function(e){return h(e).map((e=>{let{props:{value:n,label:s,attributes:i,default:t}}=e;return{value:n,label:s,attributes:i,default:t}}))}(s);return function(e){const n=(0,c.l)(e,((e,n)=>e.value===n.value));if(n.length>0)throw new Error('Docusaurus error: Duplicate values "'+n.map((e=>e.value)).join(", ")+'" found in <Tabs>. Every value needs to be unique.')}(e),e}),[n,s])}function _(e){let{value:n,tabValues:s}=e;return s.some((e=>e.value===n))}function x(e){let{queryString:n=!1,groupId:s}=e;const t=(0,o.k6)(),r=function(e){let{queryString:n=!1,groupId:s}=e;if("string"==typeof n)return n;if(!1===n)return null;if(!0===n&&!s)throw new Error('Docusaurus error: The <Tabs> component groupId prop is required if queryString=true, because this value is used as the search param name. You can also provide an explicit value such as queryString="my-search-param".');return null!=s?s:null}({queryString:n,groupId:s});return[(0,d._X)(r),(0,i.useCallback)((e=>{if(!r)return;const n=new URLSearchParams(t.location.search);n.set(r,e),t.replace({...t.location,search:n.toString()})}),[r,t])]}function j(e){const{defaultValue:n,queryString:s=!1,groupId:t}=e,r=u(e),[o,d]=(0,i.useState)((()=>function(e){var n;let{defaultValue:s,tabValues:i}=e;if(0===i.length)throw new Error("Docusaurus error: the <Tabs> component requires at least one <TabItem> children component");if(s){if(!_({value:s,tabValues:i}))throw new Error('Docusaurus error: The <Tabs> has a defaultValue "'+s+'" but none of its children has the corresponding value. Available values are: '+i.map((e=>e.value)).join(", ")+". If you intend to show no default tab, use defaultValue={null} instead.");return s}const t=null!=(n=i.find((e=>e.default)))?n:i[0];if(!t)throw new Error("Unexpected error: 0 tabValues");return t.value}({defaultValue:n,tabValues:r}))),[c,h]=x({queryString:s,groupId:t}),[j,p]=function(e){let{groupId:n}=e;const s=function(e){return e?"docusaurus.tab."+e:null}(n),[t,r]=(0,a.Nk)(s);return[t,(0,i.useCallback)((e=>{s&&r.set(e)}),[s,r])]}({groupId:t}),T=(()=>{const e=null!=c?c:j;return _({value:e,tabValues:r})?e:null})();(0,l.Z)((()=>{T&&d(T)}),[T]);return{selectedValue:o,selectValue:(0,i.useCallback)((e=>{if(!_({value:e,tabValues:r}))throw new Error("Can't select invalid tab value="+e);d(e),h(e),p(e)}),[h,p,r]),tabValues:r}}var p=s(72389);const T={tabList:"tabList__CuJ",tabItem:"tabItem_LNqP"};var E=s(85893);function f(e){let{className:n,block:s,selectedValue:i,selectValue:o,tabValues:l}=e;const d=[],{blockElementScrollPositionUntilNextRender:c}=(0,r.o5)(),a=e=>{const n=e.currentTarget,s=d.indexOf(n),t=l[s].value;t!==i&&(c(n),o(t))},h=e=>{var n;let s=null;switch(e.key){case"Enter":a(e);break;case"ArrowRight":{var i;const n=d.indexOf(e.currentTarget)+1;s=null!=(i=d[n])?i:d[0];break}case"ArrowLeft":{var t;const n=d.indexOf(e.currentTarget)-1;s=null!=(t=d[n])?t:d[d.length-1];break}}null==(n=s)||n.focus()};return(0,E.jsx)("ul",{role:"tablist","aria-orientation":"horizontal",className:(0,t.Z)("tabs",{"tabs--block":s},n),children:l.map((e=>{let{value:n,label:s,attributes:r}=e;return(0,E.jsx)("li",{role:"tab",tabIndex:i===n?0:-1,"aria-selected":i===n,ref:e=>d.push(e),onKeyDown:h,onClick:a,...r,className:(0,t.Z)("tabs__item",T.tabItem,null==r?void 0:r.className,{"tabs__item--active":i===n}),children:null!=s?s:n},n)}))})}function g(e){let{lazy:n,children:s,selectedValue:t}=e;const r=(Array.isArray(s)?s:[s]).filter(Boolean);if(n){const e=r.find((e=>e.props.value===t));return e?(0,i.cloneElement)(e,{className:"margin-top--md"}):null}return(0,E.jsx)("div",{className:"margin-top--md",children:r.map(((e,n)=>(0,i.cloneElement)(e,{key:n,hidden:e.props.value!==t})))})}function S(e){const n=j(e);return(0,E.jsxs)("div",{className:(0,t.Z)("tabs-container",T.tabList),children:[(0,E.jsx)(f,{...e,...n}),(0,E.jsx)(g,{...e,...n})]})}function m(e){const n=(0,p.Z)();return(0,E.jsx)(S,{...e,children:h(e.children)},String(n))}},11151:(e,n,s)=>{s.d(n,{Z:()=>l,a:()=>o});var i=s(67294);const t={},r=i.createContext(t);function o(e){const n=i.useContext(r);return i.useMemo((function(){return"function"==typeof e?e(n):{...n,...e}}),[n,e])}function l(e){let n;return n=e.disableParentContext?"function"==typeof e.components?e.components(t):e.components||t:o(e.components),i.createElement(r.Provider,{value:n},e.children)}}}]);